Arch Bewehrungsstab abgewinkelt

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Rebar BentShape and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Arch Rebar BentShape.svg Arch Bewehrungsstab abgewinkelt

Menüeintrag
Arch → Rebar tools → Gebogene Bewehrung oder 3D/BIM → Verstärkung → gebogene Bewehrung
Arbeitsbereich
Arch, BIM
Standardtastenkürzel
Keiner
Eingeführt in Version
0.17
Siehe auch
Reinforcement, Arch Bewehrung, bügelförmiger Bewehrungsstab

Beschreibung

Das Abgewinkelter Bewehrungsstab-Werkzeug erlaubt es dem Anwender, einen Satz von abgewinkelten Bewehrungsstäben in einem Struktur-Objekt zu erstellen.

Das Arch Abgewinkelter Bewehrungsstab-Werkzeug ist auch im BIM-Arbeitsbereich integriert.

Dieser Befehl ist Teil des Reinforcement-Workbench-Arbeitsbereichs, der mit dem AddonManager.svg Addon-Manager über das Menü Werkzeuge → Addon-Manager → Reinforcement installiert werden kann.

Arch Rebar BentShape example.png

Zwei Sätze von abgewinkelten Bewehrungsstäben in einer Struktur

Anwendung

  1. Wähle eine beliebige Fläche eines vorher erstellten Arch Structure.svg Struktur-Objekts.
  2. Wähle dann Arch Rebar BentShape.svg Abgewinkelter Bewehrungsstab aus den Bewehrungsstab-Werkzeugen.
  3. Ein Aufgaben-Paneel wird auf der linken Seite des Bildschirm angezeigt wie im folgenden Bild dargestellt.
  4. Wähle die gewünschte Ausrichtung.
  5. Fülle die Werte wie 'Left Cover' (linke Fläche), 'Right Cover' (rechte), 'Top Cover' (obere), 'Bottom Cover' (untere), 'Front Cover' (vordere), 'Anchor length' (Ankerlänge), 'Bent Angle' (Biegungswinkel), 'Bent Factor', 'Rounding' und 'Diameter' (Durchmesser) des Bewehrungsstabes.
  6. Wähle den Verteilungsmodus, entweder 'Amount' (Menge) oder 'Spacing' (Abstand).
  7. Falls 'Spacing' gewählt wurde, kann auch benutzerdefinierter Abstand gewählt werden.
  8. Wähle Pick selected face zur Überprüfung oder ändere die Fläche zur Verteilung der Bewehrungsstäbe.
  9. Klicke OK oder Anwenden zur Erzeugung der Bewehrungsstäbe.
  10. Klicke Abbrechen zum Verlassen des Aufgaben-Paneels.
BentShapeDialog.png

Aufgaben-Ansicht für das Arch Bewehrungsstab abgewinkelt-Werkzeug

Eigenschaften

  • Daten-EigenschaftOrientation: Legt die Ausrichtung des Bewehrungsstabs fest (wie unten, oben, recht und links).
  • Daten-EigenschaftFront Cover: Der Abstand zwischen Bewehrungsstab und ausgewählter Fläche.
  • Daten-EigenschaftLeft Cover: Der Abstand zwischen dem linken Ende des Bewehrungsstabs und der linken Fläche der Struktur.
  • Daten-EigenschaftRight Cover: Der Abstand zwischen dem rechten Ende des Bewehrungsstabs und der rechten Fläche der Struktur.
  • Daten-EigenschaftBottom Cover: Der Abstand zwischen dem Bewehrungsstab und der unteren Fläche der Struktur.
  • Daten-EigenschaftTop Cover: Der Abstand zwischen dem Bewehrungsstab und der oberen Fläche der Struktur.
  • Daten-EigenschaftAnchor Length: Die "Armlänge" des abgewinkelten Bewehrungsstabs.
  • Daten-EigenschaftBent Angle: Definiert den Winkel zwischen den Enden eines Bügels.
  • Daten-EigenschaftAmount: Die Anzahl von Bewehrungsstäben.
  • Daten-EigenschaftSpacing: Der Abstand zwischen den Achsen jedes Bewehrungsstabs.

Scripting

Siehe auch: Arch API,Reinforcement-API und FreeCAD Scripting Basics.

Das Abgewinkelter Bewehrungsstab-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • Erstellt ein Rebar-Objekt aus der gegebenen structure, die eine Arch Struktur ist, und facename, die eine Fläche dieser Struktur ist.
    • Falls weder structure noch facename gegeben sind, wird die vom Benutzer gewählte Fläche als Eingabe genommen.
  • f_cover, b_cover, l_cover, r_cover, und t_cover sind innere Abstände von den Bewehrungsstabelementen zu den Flächen der Struktur. Dies sind entsprechend die vorderen, unteren, linken, rechten und oberen Abstände.
  • diameter ist der Durchmesser der Verstärkungsstäbe innerhalb der Struktur.
  • rounding ist der Parameter, der den Biegeradius der center Verstärkungsstäbe angibt.
  • bentLength und bentAngle definieren die Länge der Spitze der Verstärkungsstäbe und den Biegewinkel der center Stäbe.
  • amount_spacing_check Falls True werden so viele Bewehrungsstäbe erstellt, wie unter amount_spacing_value angegeben; falls False werden die Bewehrungsstäbe im Abstand von amount_spacing_value erstellt.
  • amount_spacing_value gibt die Anzahl von Bewehrungsstäben an oder den Abstandswert, abhängig von amount_spacing_check.
  • orientation gibt die Ausrichtung der Bewehrung an; möglich sind "Bottom" (unten), "Top" (oben), "Left" (links) oder "Right" (rechts) sein.

Beispiel

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Anpassung des Bewehrungsstabs

Die Eigenschaften des Bewehrungsstabs lassen sich mit der folgenden Funktion verändern

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar ist ein vorher erzeugtes BentShapeRebar-Objekt.
  • Die anderen Parameter sind die gleichen wie die für die makeBentShapeRebar()-Funktion erforderlichen.
  • structure und facename können weggelassen werden, so dass die Bewehrung in der ursprünglichen Struktur bleibt.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")